org.eclipse.ecf.provider.comm.tcp

## Class ExObjectOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ObjectOutputStream
    - - org.eclipse.ecf.provider.comm.tcp.ExObjectOutputStream

All Implemented Interfaces:
  Closeable, DataOutput, Flushable, ObjectOutput, ObjectStreamConstants, AutoCloseable

    public class ExObjectOutputStream
    extends ObjectOutputStream

### Nested Class Summary

### Nested classes/interfaces inherited from class java.io.ObjectOutputStream

`ObjectOutputStream.PutField`

### Field Summary

### Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

### Constructor Summary

Constructors
Constructor and Description
`ExObjectOutputStream(OutputStream out)`
`ExObjectOutputStream(OutputStream out, boolean backwardCompatibility)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `debug(String msg)`
`protected void` `traceStack(String msg, Throwable e)`

### Methods inherited from class java.io.ObjectOutputStream

`annotateClass, annotateProxyClass, close, defaultWriteObject, drain, enableReplaceObject, flush, putFields, replaceObject, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeClassDescriptor, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeObjectOverride, writeShort, writeStreamHeader, writeUnshared, writeUTF`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExObjectOutputStream

    public ExObjectOutputStream(OutputStream out)
                         throws IOException

Throws:
  `IOException`

#### ExObjectOutputStream

    public ExObjectOutputStream(OutputStream out,
                                boolean backwardCompatibility)
                         throws IOException,
                                SecurityException

Throws:
  `IOException`
  `SecurityException`

### Method Detail

#### debug

    protected void debug(String msg)

#### traceStack

    protected void traceStack(String msg,
                              Throwable e)